#include "Point.h"
#include <iostream>
// Module des points
// fabricant

Point::Point() {
  x = 0;
  y = 0;
  nbPoints++;
}

Point::Point(int a,int o) {
  x = a;
  y = o;
  nbPoints++; // idem Point::nbPoints++$
}

void Point::affiche() {
  std::cout << "(" << x << "," << y << ")" << std::endl;
}

void Point::translate(int dx,int dy) { x += dx; y += dy; }

int Point::getAbscisse() {
  return x;
}

int Point::getOrdonnee() { return y; }

int Point::nbPoints = 0;

int Point::getNbPoints() { return nbPoints; }

Point::~Point() {
  nbPoints--;
}

const double Point::PI = 3.1415926;
