// Pivot de connexion entre modules
// déclaration du type Point

class Point {
private: // secret de fabrication
  int x;
  int y;
  // déclarations de membres statiques (cachés)
  static int nbPoints;
public: // facade
  // ctor
  Point();
  Point(int a,int o);
  // méthodes (fonctions membres)
  void translate(int dx,int dy);
  int getAbscisse();
  int getOrdonnee();
  virtual void affiche();
  // déclarations membres statiques (patagé?)
  static int getNbPoints();
  static const double PI;
  // dtor
  ~Point();
};
